Description

In C4 the command R ::= QQ[x,y]; automatically gave the name R to the created ring.

There was a trick to cater for several successive rings each called R, namely the name changed to R#1, R#2 and so on.

Users should be allowed to specify (convenient) names for rings they create.

It does seem difficult to emulate the behaviour of C4, and I'm not sure we should even try to do so.

Perhaps there should be a new syntax?  for instance R :::= QQ[x,y];

Or maybe simply R ::= QQ[x,y],printname="blah";

Related issues:

Related to CoCoALib - Feature #420: Allow user to give a name to a ring New 07 Jan 2014

History

#1 - 07 Jan 2014 12:49 - Anna Maria Bigatti

- % Done changed from 0 to 10

I remember an old discussion about this topic.

There is this problem (which was not possibible in CoCoA-4)

R ::= Q[x,y];

Use R; -- ....... here we expect the ring to be called "R" 

S := R;

Use S; -- ....... here we expect the ring to be called "S" 

Proposed solution:

The syntax "R ::= Q[x,y];" gives the name "R" to the ring

(first of all we need to set a syntax to allow this in CoCoALib)

The syntax "S := R;" inherits the name "R".    

I believe somehow CoCoA-5 knows the name after "R ::= Q[x,y];" (I think I remember Giovanni Lagorio telling me it was tricky to set in the interpreter,

not being a part of the CoCoALib object), but I cannot find how to print it.

#2 - 02 Apr 2014 17:33 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

26 Apr 2024 1/2



#3 - 04 Apr 2014 15:12 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#4 - 18 Jul 2014 15:05 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?
